defaults.pcm.rate_converter "speexrate_medium"
pcm.!default
{
    type asym
    playback.pcm {
        type plug
        slave.pcm "softvol"
    }
    capture.pcm {
        type plug
        slave {
            pcm "hw:0,0"
        }
    }
}

pcm.softvol {
    type softvol
    slave.pcm "paging_playback"
    control {
        name "Master Playback Volume"
        card 0
    }
    min_dB -40.0
    max_dB 0.0
    resolution 101
}

pcm.paging_playback {
    type dmix
    ipc_key 100406
    slave {
        pcm "hw:0,0"
	channels 2
	rate 48000
	period_size 960
	buffer_size 3840
    }
    bindings {
	0 0
	1 1
    }
}

pcm.mixmic_1 {
	ipc_key 1026
	type dsnoop
	slave {
		pcm "hw:0"
		channels 4
		period_size 1024
		buffer_size 262144
	}
}

pcm.mixmic {
	type plug
	slave.pcm "mixmic_1"
}
